# Uses of Interface
javafx.scene.input.InputMethodRequests

Packages that use InputMethodRequests
Package
Description
javafx.scene
Provides the core set of base classes for the JavaFX Scene Graph API.

## Uses of InputMethodRequests in javafx.scene

Methods in javafx.scene that return InputMethodRequests
Modifier and Type
Method
Description
`final InputMethodRequests`
Node.`getInputMethodRequests()`
Gets the value of the `inputMethodRequests` property.
Methods in javafx.scene that return types with arguments of type InputMethodRequests
Modifier and Type
Method
Description
`final ObjectProperty<InputMethodRequests>`
Node.`inputMethodRequestsProperty()`
Property holding InputMethodRequests.
Methods in javafx.scene with parameters of type InputMethodRequests
Modifier and Type
Method
Description
`final void`
Node.`setInputMethodRequests(InputMethodRequests value)`
Sets the value of the `inputMethodRequests` property.